# Undo a specific workspace changeset ViewSet for managing workspaces within a planning. Workspaces allow users to make draft changes to assignments, operations, and other planning data without affecting the mainline state. Changes can be merged to mainline when ready. Endpoint: POST /v1/plannings/{id}/workspaces/{workspace_pk}/changesets/{change_id}/undo/ Version: 1.0.0 Security: tokenAuth ## Path parameters: - `change_id` (string, required) - `id` (string, required) - `workspace_pk` (string, required) ## Response 200 fields (application/json): - `workspace` (object, required) - `workspace.id` (string, required) - `workspace.name` (string,null) - `workspace.status` (string, required) - `appliedChangeId` (string, required) ## Response 400 fields (application/json): - `detail` (string, required) ## Response 404 fields (application/json): - `detail` (string, required) ## Response 500 fields (application/json): - `detail` (string, required) ## Response 401 fields ## Response 403 fields ## Response 409 fields